Bug 595992 - cannot specify the hostname only with --migrateuri
Summary: cannot specify the hostname only with --migrateuri
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt   
(Show other bugs)
Version: 5.5
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Chris Lalancette
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 596016
TreeView+ depends on / blocked
 
Reported: 2010-05-26 05:16 UTC by Masahiro Matsuya
Modified: 2018-11-14 20:14 UTC (History)
7 users (show)

Fixed In Version: libvirt-0.8.2-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 23:12:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch (2.37 KB, patch)
2010-05-26 05:19 UTC, Masahiro Matsuya
no flags Details | Diff
Update backport of upstream patch (1.81 KB, patch)
2010-05-27 15:43 UTC, Chris Lalancette
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0060 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-01-12 17:22:30 UTC

Description Masahiro Matsuya 2010-05-26 05:16:20 UTC
Description of problem:

To migrate to the specified hostname (of ip address), it's needed that --migrateuri option is specified as below.

 # virsh migrate --live su21k003 qemu+ssh://sk010002-hb/system tcp:sk010002-hb

But, this doesn't work because the post number is not specified. The upstream has a fix for this problem. I will attach a backported patch. This is tesed by a customer and it worked well.

As a backgrand of this issue, Live Migration of KVMs uses wrong interface in cluster even when migration_mapping cluster option is used. It always uses the interface on the public network, though this customer expected that the interface on the private network was used. This cause is that rgmanager doesn't use --migrateuri option for that. A new bugzilla should be created for this rgmanager's bug. On the other hand, I think that it's not good idea that rgmanager always uses a same port number. Rather than it, the port number should be assigned dynamically by the fix of this bugzilla. So, to fix this customer's problem, we need to fix libvirt and rgmanager. This bugzilla was created for the libvirt issue.

Version-Release number of selected component (if applicable):

libvirt-0.6.3-33

How reproducible:

Always

Steps to Reproduce:

Assuming that the destination hostname is 'sk010002-hb' and the kvm guest name is 'su21k003':

1. Run virsh migrate --live su21k003 qemu+ssh://sk010002-hb/system tcp:sk010002-hb

Actual results:

The migration failed with "error: invalid argument in URI did not have ':port' at the end"

Expected results:

The migration finishes without any errors.

Comment 1 Masahiro Matsuya 2010-05-26 05:19:24 UTC
Created attachment 416658 [details]
backported patch

This was tested by a customer, and it worked well.

Comment 2 Chris Lalancette 2010-05-26 12:46:00 UTC
Yeah, this looks reasonable.  I'll take a look.

Chris Lalancette

Comment 3 Chris Lalancette 2010-05-27 15:43:18 UTC
Created attachment 417291 [details]
Update backport of upstream patch

Here's a slightly updated version of the same patch.  It's exactly the same as the previous except it has a minor bugfix in the case that uri_out is NULL.

Chris Lalancette

Comment 4 Johnny Liu 2010-06-07 11:04:45 UTC
Verified this bug with and PASSED.

Reproduced on old version libvirt package:

# rpm -q libvirt
libvirt-0.6.3-33.el5
# virsh migrate --live test qemu+ssh://10.66.70.86/system tcp:dhcp-66-70-86.nay.redhat.com
root@10.66.70.86's password: 
error: invalid argument in URI did not have ':port' at the end

Verified this bug with the latest version:

# rpm -q libvirt
libvirt-0.6.3-34.el5
# virsh migrate --live test qemu+ssh://10.66.70.86/system tcp:dhcp-66-70-86.nay.redhat.com
root@10.66.70.86's password: 

Migration is done successfully

Comment 5 Jiri Denemark 2010-09-02 11:59:34 UTC
Fixed in libvirt-0.8.2-1.el5

Comment 7 Vivian Bian 2010-10-20 08:09:01 UTC
tested with 
RHEL5u6-Server-x86_64-kvm 
kernel-2.6.18-227.el5
kvm-83-205.el5
libvirt-0.8.2-7.el5

Steps to VERIFY
# virsh migrate --live test qemu+ssh://10.66.70.86/system
tcp:dhcp-66-70-86.nay.redhat.com
root@10.66.70.86's password: 

Migration is done successfully

So set bug status to VERIFIED

Comment 9 errata-xmlrpc 2011-01-13 23:12:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0060.html


Note You need to log in before you can comment on or make changes to this bug.